petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMTSSetIJacobianLocal

set a local Jacobian evaluation function

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetIJacobianLocal(DM dm, PetscErrorCode (*func)(DM, PetscReal, Vec, Vec, PetscReal, Mat, Mat, void *), void *ctx)

Logically Collective Many br

### Input Arguments

| dm | - DM to associate callback with Many br
| func | - local Jacobian evaluation Many br
| ctx | - optional context for local Jacobian evaluation Many br

Many br

### See Also

DMTSSetIFunctionLocal(), DMTSSetIJacobian(), DMTSSetIFunction()

Level:beginner
Location:src/ts/utils/dmlocalts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages